Arch CloseHoles

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch CloseHoles and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch CloseHoles.svg Arch CloseHoles

Menüeintrag
Arch → Dienstprogramme → Schließt Löcher
Arbeitsbereich
Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Arch Check


Beschreibung

Dieses Werkzeug identifiziert Löcher (ringförmige Folge von offenen Kanten) in einem Formteil-Objekt und versucht, sie durch hinzufügen einer Fläche zu schließen, die aus der Folge von Kanten erstellt wird. Du musst trotzdem selbst prüfen, dass das Ergebnis ein Volumenkörper ("solid") ist.

Anwendung

  1. Wähle ein Formteil-Objekt.
  2. Drücke den Arch CloseHoles.svg Schließt Löcher-Eintrag in Arch → Dienstprogramme → Schließt Löcher.

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Dieses Werkzeug kann in Makros ebenso wie aus der Phython-Konsole heraus durch folgende Funktion angesprochen werden:

solid = closeHole(shape)
  • Schließt ein Loch in einem Formteil, welches ein Part.Shape ist und liefert das neue solid Objekt zurück.

Beispiel:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)